

When EXT3_DEBUG is turned on (by editing the header file) there is one
compile failure and a few warnings.  Fix that up.



 ext3/balloc.c |    5 +++--
 ext3/ialloc.c |    2 +-
 ext3/inode.c  |    6 +++---
 3 files changed, 7 insertions(+), 6 deletions(-)

diff -puN fs/ext3/balloc.c~ext3_debug-fix fs/ext3/balloc.c
--- 25/fs/ext3/balloc.c~ext3_debug-fix	2003-02-14 18:24:09.000000000 -0800
+++ 25-akpm/fs/ext3/balloc.c	2003-02-14 18:24:09.000000000 -0800
@@ -503,7 +503,8 @@ search_back:
 	
 got_block:
 
-	ext3_debug("using block group %d(%d)\n", i, gdp->bg_free_blocks_count);
+	ext3_debug("using block group %d(%d)\n",
+			group_no, gdp->bg_free_blocks_count);
 
 	/* Make sure we use undo access for the bitmap, because it is
            critical that we do the frozen_data COW on bitmap buffers in
@@ -658,7 +659,7 @@ unsigned long ext3_count_free_blocks(str
 		bitmap_count += x;
 	}
 	brelse(bitmap_bh);
-	printk("ext3_count_free_blocks: stored = %lu, computed = %lu, %lu\n",
+	printk("ext3_count_free_blocks: stored = %u, computed = %lu, %lu\n",
 	       le32_to_cpu(es->s_free_blocks_count), desc_count, bitmap_count);
 	unlock_super(sb);
 	return bitmap_count;
diff -puN fs/ext3/inode.c~ext3_debug-fix fs/ext3/inode.c
--- 25/fs/ext3/inode.c~ext3_debug-fix	2003-02-14 18:24:09.000000000 -0800
+++ 25-akpm/fs/ext3/inode.c	2003-02-14 18:24:09.000000000 -0800
@@ -263,12 +263,12 @@ void ext3_discard_prealloc (struct inode
 static int ext3_alloc_block (handle_t *handle,
 			struct inode * inode, unsigned long goal, int *err)
 {
-#ifdef EXT3FS_DEBUG
-	static unsigned long alloc_hits = 0, alloc_attempts = 0;
-#endif
 	unsigned long result;
 
 #ifdef EXT3_PREALLOCATE
+#ifdef EXT3FS_DEBUG
+	static unsigned long alloc_hits = 0, alloc_attempts = 0;
+#endif
 	struct ext3_inode_info *ei = EXT3_I(inode);
 	/* Writer: ->i_prealloc* */
 	if (ei->i_prealloc_count &&
diff -puN fs/ext3/ialloc.c~ext3_debug-fix fs/ext3/ialloc.c
--- 25/fs/ext3/ialloc.c~ext3_debug-fix	2003-02-14 18:24:09.000000000 -0800
+++ 25-akpm/fs/ext3/ialloc.c	2003-02-14 18:24:09.000000000 -0800
@@ -704,7 +704,7 @@ unsigned long ext3_count_free_inodes (st
 		bitmap_count += x;
 	}
 	brelse(bitmap_bh);
-	printk("ext3_count_free_inodes: stored = %lu, computed = %lu, %lu\n",
+	printk("ext3_count_free_inodes: stored = %u, computed = %lu, %lu\n",
 		le32_to_cpu(es->s_free_inodes_count), desc_count, bitmap_count);
 	unlock_super(sb);
 	return desc_count;

_
